suite_namespace: SmtmTest\Base\Codeception\Integration
actor: IntegrationTester
modules:
  enabled:
    - Smtm\Base\Infrastructure\Codeception\Module\Smtm:
      #configFile: vendor/smtm/adex-sales/test/Codeception/Integration/config.php
    - Asserts:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Smtm
    - Smtm\Base\Infrastructure\Codeception\Module\Mezzio:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Smtm
        #recreateApplicationBetweenTests: true
    - Doctrine2:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Mezzio
        # This property controls whether the db operations are wrapped in a transaction and rolled back at the end of
        # the suite execution.
        # The transaction is started in the before hook of the Doctrine2 module:
        # vendor\codeception\module-doctrine2\src\Codeception\Module\Doctrine2.php:197
        # \Codeception\Module\Doctrine2::_before
        # Since a transaction exists within the context of a DB connection (similar to how
        # last-insert-id/last-generated-sequence work) if this flag is true then the models are only available to the
        # Doctrine2 module DB connection which is created in the test suite. They won't be accessible (for example
        # during a debug session) from a DB GUI client as it establishes a DB connection of its own.
        # The default value is true.
        cleanup: true
    - DataFactory:
        #factories: Factories
        depends: Smtm\Base\Infrastructure\Codeception\Module\Mezzio
    - Smtm\Base\Infrastructure\Codeception\Support\Helper\DoctrineHelper:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Mezzio
    - Smtm\Base\Infrastructure\Codeception\Support\Helper\DataFactoryHelper:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Mezzio
    - Smtm\AuthProvider\Infrastructure\Codeception\Module\Authentication:
        depends: Smtm\Base\Infrastructure\Codeception\Module\Mezzio
